Subject: bug#29376: automake gnits version check vs. gnulib's git-version-gen?

From: Mathieu Lirzin <[email-masked]>
Date: Fri, 05 Jan 2018 04:15:11 +0100

Paul Eggert <[email-masked]> writes:

> On 11/20/2017 11:44 PM, Bernhard Voelker wrote:
>> So my question: aren't 3-level version strings allowed by the gnits check
>> in combination with gnulib's git-version-gen script?  Do we have to
>> change
>> the strictness from gnits to gnu?
>
> I would think so, unless someone takes the time to change Automake so
> that gnits supports the new format of version strings that
> git-version-gen is generating.

Such change would be welcome.

Basically one would have to adapt the following regexp from automake.

--8<---------------cut here---------------start------------->8---
# This pattern recognizes a Gnits version id and sets $1 if the
# release is an alpha release.  We also allow a suffix which can be
# used to extend the version number with a "fork" identifier.
my $GNITS_VERSION_PATTERN = '\d+\.\d+([a-z]|\.\d+)?(-[A-Za-z0-9]+)?';
--8<---------------cut here---------------end--------------->8---

Ideally with some unit tests.  :-)

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37